local ADDON_NAME, ns = ...

-- ****** Boss Highlight Settings ******
-- Contains boss debuffs with priority of importance, Generally 1-3 per boss.
-- format: [Spell Name] = {red,green,blue,alpha,priority}
-- This is for Cataclysm raid bosses only.


ns.bossHighlights = {
	--[GetSpellInfo(6788)] = {0.85,0,0,.35,2}, -- Weakened Soul(test)
	
	---- Blackwing Descent
	-- Magmaw
	[GetSpellInfo(79589)] = {0.85,0,0,.35,2}, -- Constricting Chains
	[GetSpellInfo(78941)] = {1,.4,.1,.35,1},  -- Parasitic Infection
	[GetSpellInfo(89773)] = {0.85,0,0,.35,3}, -- Mangle

	-- Omnitron
	[GetSpellInfo(80011)] = {1,.4,.1,.35,1},  -- Soaked In Poison
	[GetSpellInfo(79504)] = {0.85,0,0,.35,3}, -- Flamethrower
	[GetSpellInfo(80094)] = {1,.4,.1,.35,2}, -- Fixate (slime target)
	
	-- Chimaeron
	[GetSpellInfo(89084)] = {0.85,0,0,.35,2}, -- Low Health
	[GetSpellInfo(82881)] = {1,.4,.1,.35,1}, -- Break
	
	-- Atramedes
	[GetSpellInfo(78023)] = {1,.4,.1,.35,1}, -- Roaring Flame
	[GetSpellInfo(78092)] = {1,.4,.1,.35,2}, -- Tracking
	[GetSpellInfo(78897)] = {0.85,0,0,.35,3}, -- Noisy
	
	-- Maloriak
	[GetSpellInfo(77699)] = {0.85,0,0,.35,2}, -- Flash Freeze
	[GetSpellInfo(92973)] = {0.85,0,0,.35,2}, -- Consuming Flames
	
	--Nefarian + Onyxia
	[GetSpellInfo(79353)] = {0.85,0,0,.35,2}, -- Shadow of Cowardice
	
	---- Bastion of Twilight
	-- Halfus
	[GetSpellInfo(39171)] = {1,.4,.1,.35,1}, -- Malevolent Strikes (healing debuff)
	
	-- Valiona + Theralion
	[GetSpellInfo(86788)] = {0.85,0,0,.35,2}, -- Blackout
	[GetSpellInfo(86360)] = {1,.4,.1,.35,1},  -- Twilight Shift
	
	-- Ascendant Council
	[GetSpellInfo(82772)] = {0.85,0,0,.35,2}, -- Frozen
	[GetSpellInfo(83099)] = {0.85,0,0,.35,2}, -- Lightning Rod
	[GetSpellInfo(92075)] = {1,.4,.1,.35,1},  -- Gravity Core
	[GetSpellInfo(84948)] = {0.85,0,0,.35,2}, -- Gravity Crush
	
	-- Cho'gall
	[GetSpellInfo(82411)] = {1,.4,.1,.35,1},  -- Debilitating Beam
	[GetSpellInfo(93204)] = {0.85,0,0,.35,2}, -- mc
	
	-- Sinestra (heroic only)
	
	---- Throne of the Four Winds
	-- Conclave of Wind
	[GetSpellInfo(93057)] = {1,.4,.1,.35,1}, -- Slicing Gale
	[GetSpellInfo(85576)] = {0.85,0,0,.35,2}, -- Withering Winds
	
	-- Al'Akir
	[GetSpellInfo(93284)] = {0.85,0,0,.35,2}, -- Squall Line
	
	---- Baradin Hold
	-- Argaloth
	[GetSpellInfo(88954)] = {0.85,0,0,.35,2}, -- Consuming Darkness
	
	---- Random 5man things, english only because i am lazy
	["Bleeding Wound"] = {0.85,0,0,.35,2},
	[GetSpellInfo(91016)] = {0.85,0,0,.35,2},
}